
local progressBarCtrlName = "ZO_PlayerProgressBar"
local progressBarCtrl

local progressBarScaleY = 1.5 	--change the Y axis scaling this according to your needs
local progressBarScaleX = 1		--change the X axis scaling according to your needs

local playerProgressBarHooked = false
local function hookProgressBar()
	progressBarCtrl = progressBarCtrl or GetControl(progressBarCtrlName)
	if progressBarCtrl == nil then return end

	progressBarCtrl:SetTransformScaleX(progressBarScaleX)
	progressBarCtrl:SetTransformScaleY(progressBarScaleY)
	
	if not playerProgressBarHooked then
		ZO_PostHook(PLAYER_PROGRESS_BAR , "RefreshTemplate", function() 
			progressBarCtrl:SetTransformScaleX(progressBarScaleX)
			progressBarCtrl:SetTransformScaleY(progressBarScaleY)
		end)
		playerProgressBarHooked = true
	end
end

local function onPlayerActivated(eventId, firstLoad)
	hookProgressBar()
end

local function onAddonLoaded(eventId, addonName)
	if addonName ~= "ProgressBarScale" then return end
	EVENT_MANAGER:UnregisterForEvent("ProgressBarScale_EVENT_ADD_ON_LOADED", EVENT_ADD_ON_LOADED)
	
	EVENT_MANAGER:RegisterForEvent("ProgressBarScale_EVENT_PLAYER_ACTIVATED", EVENT_PLAYER_ACTIVATED, onPlayerActivated)
end
EVENT_MANAGER:RegisterForEvent("ProgressBarScale_EVENT_ADD_ON_LOADED", EVENT_ADD_ON_LOADED, onAddonLoaded)